Subject: Re: muram in device tree for mpc8250 in arch/powerpc

From: Scott Wood <[email-masked]>
Date: Fri, 21 Mar 2008 15:34:47 -0500

James Black wrote:
> I've compiled the kernel with gcc 4.0.0 and  4.2.2 both versions have
> the same problem. Should I try the 2.6.25 kernel since the 2.6.19
> works just fine.

It's worth a try.  Also, since it seems to be a random corruption issue, 
make sure that no DMA is left running by the firmware (try resetting the 
CPM (though you'll have to turn off the early udbg output)), that you're 
not trying to use more memory than you have, etc.  Try dumping various 
registers to see if anything significant is different compared to 2.6.19.

If none of that helps, then I'm out of ideas as far as debug-by-email 
goes...

> I've stripped the kernel options down almost as far
> as I can go.

You turned off too much. :-)
Turn kallsyms back on, so you get symbols in crash dumps.

-Scott